package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.ApplyChild;

import java.util.List;

/**
 * 开通申请子系统Mapper接口
 * 
 * @author ruoyi
 * @date 2022-10-27
 */
public interface ApplyChildMapper 
{
    /**
     * 查询开通申请子系统
     * 
     * @param childId 开通申请子系统ID
     * @return 开通申请子系统
     */
    public ApplyChild selectApplyChildById(Long childId);

    /**
     * 查询开通申请子系统列表
     * 
     * @param applyChild 开通申请子系统
     * @return 开通申请子系统集合
     */
    public List<ApplyChild> selectApplyChildList(ApplyChild applyChild);

    /**
     * 新增开通申请子系统
     * 
     * @param applyChild 开通申请子系统
     * @return 结果
     */
    public int insertApplyChild(ApplyChild applyChild);

    /**
     * 修改开通申请子系统
     * 
     * @param applyChild 开通申请子系统
     * @return 结果
     */
    public int updateApplyChild(ApplyChild applyChild);

    /**
     * 删除开通申请子系统
     * 
     * @param childId 开通申请子系统ID
     * @return 结果
     */
    public int deleteApplyChildById(Long childId);

    /**
     * 批量删除开通申请子系统
     * 
     * @param childIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteApplyChildByIds(String[] childIds);

    public int batchChildInfo(List<ApplyChild> list);
}
